Bug 201730 - Review Request: MemProf
Review Request: MemProf
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: OLPCTracker
  Show dependency treegraph
 
Reported: 2006-08-08 11:48 EDT by Søren Sandmann Pedersen
Modified: 2014-06-18 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 17:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2006-08-08 11:48:45 EDT
Spec URL: http://www.daimi.au.dk/~sandmann/memprof.spec
SRPM URL: http://www.daimi.au.dk/~sandmann/memprof.srpm
Description: Memprof is a tool for profiling memory usage and detecting memory leaks. It can be used with existing binaries without need for recompilation
Comment 1 Søren Sandmann Pedersen 2006-08-08 11:52:00 EDT
Note that memprof used to be in Fedora, but was removed from FC-4 since it
didn't work. It has now started working again though.
Comment 2 Søren Sandmann Pedersen 2006-08-08 11:58:32 EDT
Corrected URLs:

Spec URL: http://www.daimi.au.dk/~sandmann/memprof.spec
SRPM URL: http://www.daimi.au.dk/~sandmann/memprof-0.6-1.src.rpm

I don't feel very strongly about this package, so if it is going to be a huge
hassle getting this back in, maybe it's not worth it ...
Comment 3 Jesse Keating 2006-08-09 12:30:56 EDT
NEEDSWORK:
- buildroot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Why only i386?  Does this not work on x86_64?  What about all our other arches?
- GCONF needs help:
http://fedoraproject.org/wiki/ScriptletSnippets#head-ff64cd482595764f672082d5a3b83e1fc22962e8
- Package fails to build, probably missing intltool BuildRequires, possibly more.

+ autoreconf
configure.in:24: error: possibly undefined macro: AC_PROG_INTLTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.33363 (%build)


Comment 4 Bill Nottingham 2006-08-09 12:48:54 EDT
Is this something needed for Core, or could it be in Extras?
Comment 5 Søren Sandmann Pedersen 2006-08-16 21:41:27 EDT
I don't think we really need this in core. Extras should be fine. 

I'll look at the packaging problems, but probably not right away.
Comment 6 Jesse Keating 2007-04-10 17:49:21 EDT
i'm closing this for now.  Re-request later.

Note You need to log in before you can comment on or make changes to this bug.